package com.iamberry.wechat.face.drp;

import java.util.Map;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * @decription 提现记录
 * @author 欧阳明
 * @date 2016-4-19
 */
public interface PlaceLogsService {

	/*//获取未入账的订单
	public Map getUnIncomeOrderList(String placeid);
	
	//获取未入账订单的其他分页
	public Map getUnIncomeOrderListNext(String openid,PageBean page);
	
	//顶级分销商的处理
	public Map getUnIncomeOrderListForTopDrp(PlaceInfo placeInfo);
	//第二级分销商的处理
    public Map getUnIncomeOrderListForSecondDrp(PlaceInfo placeInfo);
	 //第三级分销商的处理
    public Map getUnIncomeOrderListForThreeDrp(PlaceInfo placeInfo);
	//获取查询用户条件的openid字符串
	public String getConditionString(List<String> list);*/
	
	//=====================================================================
	//获取订单收入统计
	//public List<ObjRecord> getIncomeStatistics(String openid ,String type);
	
	//分页综合查询
	public Map SearchPlaceLogsPage(PageBean page);
	//分销订单收入情况
    //public Map searchDrpRecord(PageBean page);
	
	
}
